RowIndexEntry.IndexSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Interface RowIndexEntry.IndexSerializer<T>

- All Known Implementing Classes:
    RowIndexEntry.Serializer
  Enclosing class:
    RowIndexEntry<T>

      public static interface RowIndexEntry.IndexSerializer<T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RowIndexEntry<T>` | `deserialize(DataInputPlus in, long indexFilePosition)`
    `RowIndexEntry<T>` | `deserializeForCache(DataInputPlus in)`
    `long` | `deserializePositionAndSkip(DataInputPlus in)`
    `ISerializer<T>` | `indexInfoSerializer()`
    `void` | `serialize(RowIndexEntry<T> rie, DataOutputPlus out, java.nio.ByteBuffer indexInfo)`
    `void` | `serializeForCache(RowIndexEntry<T> rie, DataOutputPlus out)`

- - ### Method Detail

    - #### serialize

          void serialize(RowIndexEntry<T> rie,
                         DataOutputPlus out,
                         java.nio.ByteBuffer indexInfo)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          RowIndexEntry<T> deserialize(DataInputPlus in,
                                       long indexFilePosition)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializeForCache

          void serializeForCache(RowIndexEntry<T> rie,
                                 DataOutputPlus out)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserializeForCache

          RowIndexEntry<T> deserializeForCache(DataInputPlus in)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserializePositionAndSkip

          long deserializePositionAndSkip(DataInputPlus in)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### indexInfoSerializer

          ISerializer<T> indexInfoSerializer()

Copyright © 2018 The Apache Software Foundation